<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div class="row">
  <div class="col-12 d-flex bd-highlight">
    <div class="flex-grow-1 bd-highlight">
      <!-- <div class="title-warpper"> -->
      <div class="row">
        <div class="col-12">
          <div class="row">
            <span class="head-title" style="cursor: pointer;" (click)="backToDashboardPage()">
              <i style="font-size: 20px;cursor: pointer;padding-top: 12px;" class="fa fa-chevron-left"></i>
              การให้ความเห็นของสายงานบริหารการเงิน</span>
          </div>
        </div>
        <div class="col-12">
          <span class="sub-title">สามารถเพิ่มความเห็นตามสิทธิ์ของตนเองที่มีอยู่</span>
        </div>
      </div>
      <!-- </div> -->
    </div>
    <div class="bd-highlight" style="text-align: right; width: 70vw;">
      <button type="button" class="btn btn-save" (click)="save()" *ngIf="validate === true">บันทึก</button>
      <button type="button" class="btn btn-send" (click)="send()" [disabled]="rowBy === 'PC'"
        *ngIf="getlevel !== 'แอดมิน'">ส่งงาน</button>
    </div>
  </div>
</div>

<div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
  <a class="alert-detail">{{alertMessage}}</a>
  <!-- <a class="alert-detail" *ngIf="rolename === 'PO' && getlevel === 'พนักงาน'">{{alertMessage}}</a> -->
</div>

<!-- --------------------------------------------- role ผู้ดูแลสายงาน BU -------------------------------------------------------------------- -->
<div *ngIf="userRole === 'ผู้ดูแลสายงาน'">
  <!-- --------------------------------------------- ตาราง -------------------------------------------------------------------- -->
  <br><br>
  <div *ngFor="let tableValue of data.template; index as itable">
    <!-- --------------------------------------------- การบัญชี, งบประมาณและเบิกจ่าย -------------------------------------------------------------------- -->
    <div class="row">
      <div class="col-12">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">{{ tableValue.tableHead }}</p>
          </div>
          <div *ngIf="validate === true" class="flex-shrink-1 bd-highlight">
            <button type="button" class="btn add_table head-detal" (click)="addRow_accounting(itable)"><img
                src="../../../../../assets/img/add_white.svg">
              <a>เพิ่มข้อมูล</a>
            </button>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 10px;">
      </div>

      <!-- <div class="col-12" cdkDropListGroup class="overflow-auto"> -->
      <div class="col-12">
        <div class="overflow-auto">
          <table class="table-proccess table table-striped">
            <thead>
              <tr>
                <th class="text-nowrap"
                  style="width: 800px; min-width: 800px; max-width: 800px; vertical-align: middle;" rowspan=2>&nbsp;
                  เรื่อง</th>
                <th class="text-nowrap" style="width: 950px; min-width: 950px; max-width: 950px; text-align: center;"
                  colspan=3>สายงานบริหารการเงิน</th>
                <th class="text-nowrap" style="width: 10px; min-width: 10px;" rowspan=2></th>
                <th class="text-nowrap" style="width: 100px; min-width: 100px;" rowspan=2></th>
              </tr>
              <tr>
                <th class="text-nowrap" style="width: 300px; min-width: 300px; max-width: 300px; text-align: center;">
                  ผลการสอบทาน</th>
                <th class="text-nowrap" style="width: 400px; min-width: 400px; max-width: 400px; text-align: center;">
                  ความเห็น</th>
                <th class="text-nowrap" style="width: 250px; min-width: 250px; max-width: 250px; text-align: center;">
                  ระบุเป็นประเด็นคงค้าง</th>
              </tr>

            </thead>
            <tbody cdkDropList class="example-list" (cdkDropListDropped)="EvaluationDrop($event, itable)">
              <tr *ngFor="let item of tableValue.tableBody; index as istep" cdkDrag>
                <td *ngIf="validate === true" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">

                  <div *ngIf="checkStaticTitle(itable ,istep); else notStaticTypeAccounting"
                    style="padding-left: 10px;width:90%">

                    {{ item.topic }}
                  </div>
                  <ng-template #notStaticTypeAccounting>
                    <!-- <input type="text" class="form-control" placeholder="อื่นๆ ระบุ..." [(ngModel)]="item.topic"
                      (ngModelChange)="changeSaveDraft()"> -->
                    <div class="d-flex">
                      <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="" /> &nbsp;

                      <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example" placeholder="อื่นๆ ระบุ..."
                        [(ngModel)]="item.topic" (ngModelChange)="changeSaveDraft()"></textarea>

                    </div>

                  </ng-template>
                </td>
                <td *ngIf="validate === false" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                  <div style="padding-left: 10px;">
                    {{ item.topic }}
                  </div>
                </td>
                <td *ngIf="validate === true" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                  <select class="form-control" [(ngModel)]="item.inspection" (ngModelChange)="changeSaveDraft()">
                    <option *ngIf="item.inspection === null" value=null disabled>ระบุผลสอบทาน</option>
                    <option value="have">มี</option>
                    <option value="without">ไม่มี</option>
                    <option value="incomplete_or_in_progress">ไม่ครบถ้วน/อยู่ระหว่างดำเนินการ</option>
                    <option *ngIf="item.inspection !== null" [ngValue]=null>==ไม่ระบุผลสอบทาน==</option>
                  </select>
                </td>
                <td *ngIf="validate === false" style="text-align: center;"
                  [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                  <div *ngIf="item.inspection === 'have' else inspectionHave">
                    มี
                  </div>
                  <ng-template #inspectionHave>
                    <div *ngIf="item.inspection === 'without' else inspectionWithout">
                      ไม่มี
                    </div>
                  </ng-template>
                  <ng-template #inspectionWithout>
                    <div *ngIf="item.inspection === 'incomplete_or_in_progress' else inspectionElse">
                      ไม่ครบถ้วน/อยู่ระหว่างดำเนินการ
                    </div>
                  </ng-template>
                  <ng-template #inspectionElse>
                    <div>
                    </div>
                  </ng-template>
                </td>
                <td *ngIf="validate === true" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                  <!-- <input type="text" class="form-control" placeholder="ระบุความเห็น" [(ngModel)]="item.comment"
                    (ngModelChange)="changeSaveDraft()"> -->
                  <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example" placeholder="ระบุความเห็น"
                    [(ngModel)]="item.comment" (ngModelChange)="changeSaveDraft()"></textarea>
                </td>
                <td *ngIf="validate === false" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                  {{ item.comment }}
                </td>
                <td *ngIf="validate === true" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                  <select class="form-control" [(ngModel)]="item.reviews" (ngModelChange)="changeSaveDraft()">
                    <option *ngIf="item.reviews === null" value=null disabled>ระบุประเด็นคงค้าง</option>
                    <option value="No">No</option>
                    <option value="Pending 1">Pending 1</option>
                    <option value="Pending 2">Pending 2</option>
                    <option value="Pending 3">Pending 3</option>
                    <option value="Pending 4">Pending 4</option>
                    <option *ngIf="item.reviews !== null" [ngValue]=null>==ไม่ระบุประเด็นคงค้าง==</option>
                  </select>
                </td>
                <td *ngIf="validate === false" style="text-align: center;"
                  [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                  {{ item.reviews }}
                </td>
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}" style="text-align: center;">
                </td>
                <td *ngIf="validate === true" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}"
                  style="text-align: center; ">
                  <div *ngIf="!(checkStaticTitle(itable, istep));">
                    <span class="delete-data" (click)="removeDataItem(itable, istep)">ลบข้อมูล</span>
                  </div>
                </td>
                <td *ngIf="validate === false" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}"
                  style="text-align: center; ">
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div *ngIf="validate === true" class="col-12 d-flex justify-content-end">
        <button type="button" class="btn add_table head-detal" (click)="addRow_accounting(itable)"><img
            src="../../../../../assets/img/add_white.svg">
          <a>เพิ่มข้อมูล</a>
        </button>
      </div>

      <div class="col-12">
        <br>
        <!-- หมายเหตุ -->
        <div class="row text-note">
          <div class="col-12">
            <span>หมายเหตุ</span>
          </div>
          <div class="col-12" *ngFor="let item of note; index as i">
            <span>{{ i + 1 }}. &nbsp;{{ item }}</span>
          </div>
        </div>
        <!--  -->
        <br><br>
      </div>

    </div>
  </div>
  <!-- ----------------------------------------------------------------------------------------------------------------------- -->
</div>
<!-- --------------------------------------------- End role ผู้ดูแลสายงาน BU -------------------------------------------------------------------- -->



<!-- --------------------------------------------- role พนักงานหน่วยงานเจ้าของผลิตภัณฑ์ PO + role อืนๆ  -------------------------------------------------------- -->
<div *ngIf="userRole === 'พนักงานหน่วยงานเจ้าของผลิตภัณฑ์'">
  <!-- --------------------------------------------- ตาราง -------------------------------------------------------------------- -->
  <br><br>
  <div *ngFor="let tableValue of data.template; index as itable">
    <!-- --------------------------------------------- การบัญชี, งบประมาณและเบิกจ่าย -------------------------------------------------------------------- -->
    <div class="row">
      <div class="col-12">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">{{ tableValue.tableHead }}</p>
          </div>
          <!-- <div *ngIf="validate === true" class="flex-shrink-1 bd-highlight">
            <button type="button" class="btn add_table head-detal" (click)="addRow_accounting(itable)"><img
                src="../../../../../assets/img/add_white.svg">
              <a>เพิ่มข้อมูล</a>
            </button>
          </div> -->
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 10px;">
      </div>

      <!-- <div class="col-12" cdkDropListGroup class="overflow-auto"> -->
      <div class="col-12">
        <div class="overflow-auto">
          <table class="table-proccess table table-striped">
            <thead>
              <tr>
                <th class="text-nowrap"
                  style="width: 800px; min-width: 800px; max-width: 800px; vertical-align: middle;" rowspan=2>&nbsp;
                  เรื่อง</th>
                <th class="text-nowrap" style="width: 950px; min-width: 950px; max-width: 950px; text-align: center;"
                  colspan=3>สายงานบริหารการเงิน</th>
                <th class="text-nowrap" style="width: 10px; min-width: 10px;" rowspan=2></th>
                <th class="text-nowrap" style="width: 400px; min-width: 400px; max-width: 400px;text-align: center;"
                  *ngIf="rowBy !== 'Finance'">
                  หน่วยงานที่เสนอเรื่อง</th>
              </tr>
              <tr>
                <th class="text-nowrap" style="width: 300px; min-width: 300px; max-width: 300px; text-align: center;">
                  ผลการสอบทาน</th>
                <th class="text-nowrap" style="width: 400px; min-width: 400px; max-width: 400px; text-align: center;">
                  ความเห็น</th>
                <th class="text-nowrap" style="width: 250px; min-width: 250px; max-width: 250px; text-align: center;">
                  ระบุเป็นประเด็นคงค้าง</th>
                <th class="text-nowrap" style="width: 400px; min-width: 400px; max-width: 400px;text-align: center;"
                  *ngIf="rowBy !== 'Finance'">
                  ความเห็น</th>
              </tr>

            </thead>
            <tbody>
              <tr *ngFor="let item of tableValue.tableBody; index as istep">
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                  {{ item.topic }}
                </td>
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}" style="text-align: center;">
                  <div *ngIf="item.inspection === 'have' else inspectionHave">
                    มี
                  </div>
                  <ng-template #inspectionHave>
                    <div *ngIf="item.inspection === 'without' else inspectionWithout">
                      ไม่มี
                    </div>
                  </ng-template>
                  <ng-template #inspectionWithout>
                    <div *ngIf="item.inspection === 'incomplete_or_in_progress' else inspectionElse">
                      ไม่ครบถ้วน/อยู่ระหว่างดำเนินการ
                    </div>
                  </ng-template>
                  <ng-template #inspectionElse>
                    <div>
                    </div>
                  </ng-template>

                </td>
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                  {{ item.comment }}
                </td>
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}"
                  style=" text-align: center;">
                  {{ item.reviews }}
                </td>
                <!-- <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}"
                  style="vertical-align: inherit; text-align: center;">
                  {{ item.poComment }}
                </td> -->
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': 
                (istep%2) === 0}" style="text-align: center;" *ngIf="rolename !== 'Finance'">
                </td>
                <td *ngIf="validate === true" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                  <!-- <input type="text" class="form-control" placeholder="ระบุความเห็น" [(ngModel)]="item.poComment"
                    (ngModelChange)="changeSaveDraft()"> -->
                  <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control example" placeholder="ระบุความเห็น"
                    [(ngModel)]="item.poComment" (ngModelChange)="changeSaveDraft()"></textarea>
                </td>
                <td *ngIf="validate === false" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                  {{ item.poComment }}
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <!-- <div *ngIf="validate === true" class="col-12 d-flex justify-content-end">
        <button type="button" class="btn add_table head-detal" (click)="addRow_accounting(itable)"><img
          src="../../../../../assets/img/add_white.svg">
        <a>เพิ่มข้อมูล</a>
        </button>
      </div> -->
      <div class="col-12">
        <br>
        <!-- หมายเหตุ -->
        <div class="row text-note">
          <div class="col-12">
            <span>หมายเหตุ</span>
          </div>
          <div class="col-12" *ngFor="let item of note; index as i">
            <span>{{ i + 1 }}. &nbsp;{{ item }}</span>
          </div>
        </div>
        <!--  -->
        <br><br>
      </div>

    </div>
  </div>
  <!-- ----------------------------------------------------------------------------------------------------------------------- -->
</div>
<!-- --------------------------------------------- พนักงานหน่วยงานเจ้าของผลิตภัณฑ์ PO ------------------------------------------------------------ -->




<!-- ------------------------ ขอข้อมูล หรือเอกสารเพิ่มเติมเพื่อประกอบการให้ความเห็น ---------------------------------------- -->


<div *ngIf="validate === true || validate === false">
  <app-comment-management [rolePageName]="{role:'Finance', validate: validate }"></app-comment-management>
</div>